# Vehicle e-Challan

{% tabs %}
{% tab title="Echallan API" %}

<table><thead><tr><th width="119">Name</th><th>Description</th></tr></thead><tbody><tr><td><strong>URL</strong></td><td><a href="https://api-platform.mastersindia.co/api/v2/sbt/ECHALLAN/">https://api-platform.mastersindia.co/api/v2/sbt/ECHALLAN/</a></td></tr><tr><td><strong>Method Type</strong></td><td>POST</td></tr><tr><td><strong>Header</strong></td><td></td></tr><tr><td><strong>Body</strong></td><td><p><br>raw - JSON </p><pre class="language-postman_json"><code class="lang-postman_json">{
 "vehiclenumber": "AB03Y8711"
}
</code></pre></td></tr><tr><td><strong>Action</strong></td><td>Hit Send Button</td></tr><tr><td><strong>Success Response</strong></td><td><p>In case vehicle number exist</p><pre class="language-json"><code class="lang-json">```json
{
    "success": true,
    "message": "Success",
    "data": {
        "response": [
            {
                "response": {
                    "data": {
                        "Disposed_data": [
                            {
                                "challan_place": "Canal, Rania, Fatehpur Roshanai, Uttar Pradesh 209304, India",
                                "sent_to_reg_court": "No",
                                "owner_name": "D****K Y***V",
                                "receipt_no": "UKRTE24040046069",
                                "challan_date_time": "02-04-2024 11:19:06",
                                "document_impounded": "",
                                "received_amount": 500,
                                "sent_to_court_on": null,
                                "remark": "NA",
                                "fine_imposed": "500",
                                "amount_of_fine_imposed": null,
                                "challan_no": "UP79158240402111906",
                                "dl_no": null,
                                "name_of_violator": "D****K Y***V",
                                "sent_to_virtual_court": "No",
                                "date_of_proceeding": null,
                                "driver_name": "D****K Y***V",
                                "court_address": null,
                                "challan_status": "Disposed",
                                "department": "Traffic",
                                "state_code": "UP",
                                "court_name": null,
                                "offence_details": [
                                    {
                                        "act": "MV act 1988 S 122,126 R/W 177",
                                        "name": "violation of parking rules."
                                    }
                                ]
                            },
                            {
                                "challan_place": "",
                                "sent_to_reg_court": "No",
                                "owner_name": "D****K Y***V",
                                "receipt_no": "UKTTE23070070305",
                                "challan_date_time": "06-07-2023 12:15:41",
                                "document_impounded": "",
                                "received_amount": 5000,
                                "sent_to_court_on": null,
                                "remark": "NA",
                                "fine_imposed": "5000",
                                "amount_of_fine_imposed": null,
                                "challan_no": "UP176341230706121541",
                                "dl_no": null,
                                "name_of_violator": "D****K Y***V",
                                "sent_to_virtual_court": "No",
                                "date_of_proceeding": null,
                                "driver_name": "D****K Y***V",
                                "court_address": null,
                                "challan_status": "Disposed",
                                "department": "Traffic",
                                "state_code": "UP",
                                "court_name": null,
                                "offence_details": [
                                    {
                                        "act": "Section 192 read with Rule 51 of the CMV rules 1989",
                                        "name": "faulty number plate"
                                    }
                                ]
                            }
                        ],
                        "Pending_data": [
                            {
                                "challan_place": "69WR+JMW, Khamanpur, Uttar Pradesh 232110, India",
                                "sent_to_reg_court": "No",
                                "owner_name": "D****K Y***V",
                                "challan_date_time": "02-07-2024 18:47:16",
                                "document_impounded": "",
                                "sent_to_court_on": null,
                                "remark": "Without cash",
                                "fine_imposed": "11500",
                                "amount_of_fine_imposed": null,
                                "challan_no": "UK199375240702184716",
                                "dl_no": null,
                                "name_of_violator": "D****K Y***V",
                                "sent_to_virtual_court": "No",
                                "date_of_proceeding": null,
                                "driver_name": "D****K Y***V",
                                "court_address": null,
                                "rto_distric_name": "Chandauli",
                                "challan_status": "Pending",
                                "department": "Traffic",
                                "state_code": "UP",
                                "court_name": null,
                                "offence_details": [
                                    {
                                        "act": "MV act 1988 S 122,126 R/W 177",
                                        "name": "violation of parking rules."
                                    },
                                    {
                                        "act": "Section 192 read with Rule 51 of the CMV rules 1989",
                                        "name": "faulty number plate"
                                    }
                                ]
                            }
                        ]
                    },
                    "message": "Record  finds successfully",
                    "status": "200"
                },
                "responseStatus": "SUCCESS"
            }
        ],
        "error": "false",
        "code": "200",
        "message": "Success"
    }
}
```
</code></pre></td></tr><tr><td>Invalid vehicle number format</td><td>{<br>"response": null,<br>"error": "true",<br>"code": "400",<br>"message": "Data format failed OR wrong value entered at<br>}</td></tr><tr><td><p></p><p>In case vehicle number not exist</p></td><td><p></p><pre><code>{ 
    "response": [ 
    { 
        "response": { 
            "code": "305", 
            "message": "No Records Found!" 
        }, 
        "responseStatus": "SUCCESS" 
    } 
], 
"error": "false", 
"code": "200", 
"message": "Success" 
</code></pre><p>}</p></td></tr><tr><td>Error in the API</td><td>Status Code 200: ECHALLAN data response<br>Status Code 400: Bad request (Invalid json syntax, invalid json key)<br>Status Code 401 or 403: Unauthenticated or Unauthorized<br>Status Code 500: Some internal server error occurred<br>Status Code 502: Server is not responding.</td></tr></tbody></table>
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mastersindia.co/masters-india-apis/proof-of-delivery-pod-api/vehicle-e-challan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
